#include <Adafruit_AHT10.h>
#include <SoftwareSerial.h>
SoftwareSerial nextion(2, 3);// Nextion TX zu pin 2 und RX zu pin 3 vom Arduino

Adafruit_AHT10 aht;

void setup() {
  nextion.begin(9600);
  aht.begin();
  
  String cmd;
  cmd += "\"";
  nextion.print("tTemp.txt=" + cmd + "" + cmd);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.print("tLuft.txt=" + cmd + "" + cmd);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.write(0xFF);
}

void loop() {
  sensors_event_t humidity, temp;
  aht.getEvent(&humidity, &temp);// populate temp and humidity objects with fresh data

  String cmd;
  cmd += "\"";
  nextion.print("tTemp.txt=" + cmd + temp.temperature + cmd);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.print("tLuft.txt=" + cmd + humidity.relative_humidity + cmd);
  nextion.write(0xFF);
  nextion.write(0xFF);
  nextion.write(0xFF);
  delay(100);
}
